<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Product Card</title>
</head>
<body>

<div th:fragment="productCard (product)" class="card product-card">
    <!--/*@thymesVar id="product" type="com.example.internetshop.models.domain.Product"*/-->
    <!--<img src="..." class="card-img-top" alt="product image">-->
    <svg class="bd-placeholder-img card-img-top" width="100%" height="180" xmlns="http://www.w3.org/2000/svg"
         preserveAspectRatio="xMidYMid slice" focusable="false" role="img" aria-label="Placeholder: Image cap">
        <title>Placeholder</title>
        <rect width="100%" height="100%" fill="#868e96"></rect>
        <text x="50%" y="50%" fill="#dee2e6" dy=".3em" dx="-6ch">Product Image</text>
    </svg>
    <div class="card-body">
        <h4 class="card-title" th:text="${product.name}">Product name</h4>
        <h5 class="card-text"
            th:text="${#strings.replace(#numbers.formatDecimal(product.price, 1, 2), '.00', '') + '$'}">
            100$
        </h5>
    </div>
    <div class="card-footer d-flex justify-content-end">
        <a href="#" th:href="@{/cart/add(productid=${product.id})}"
           class="btn btn-success">
            Add to cart
        </a>
    </div>
</div>
</body>
</html>